//*****************************************************************************
//* Copyright (c) 2004-2005 Miday Workshop All rights reserved.
//*
//* File: TestMain.c
//*****************************************************************************
#include <windows.h>
#include <stdio.h>
#include "SpotData.h"

int GetHolidayFileName(char *inpath, char *filepath) {
	HANDLE hndl;
	WIN32_FIND_DATA FindFileData;

	strcpy(filepath, inpath);
	strcat(filepath, "MakeSpotData.pdb");
	hndl = FindFirstFile(filepath, &FindFileData);
	if ( hndl != INVALID_HANDLE_VALUE ) {
		FindClose(hndl);
		return 0;
	} else {
		strcpy(filepath, inpath);
		strcat(filepath, "DateSpot_pdb.pdb");
		hndl = FindFirstFile(filepath, &FindFileData);
		if ( hndl != INVALID_HANDLE_VALUE ) {
			FindClose(hndl);
			return 0;
		}
	}
	return 1;
}

main() {
	int version;
	int month_no, color_no;
//	unsigned int hol_data[20];
	int hol_data[20];
	int dev_flag;
	int st_year, st_month, en_year, en_month;
	char file_name[500];
	HOL_COLOR color_data[10];


//////////////////////////
//Version 3.2 or later case
//	strcpy( file_name, "C:\\Program Files\\SonyPDA\\NX70V\\Backup\\MakeSpotData.PDB" );
//Version 3.1c or later case
	GetHolidayFileName("C:\\Program Files\\SonyPDA\\NX70V\\Backup\\", file_name);
//////////////////////////
	if ( SpotOpen( file_name, 1) != 0 ) {//file open
		printf ( "File open error.\n" );
		return -1;
	}

	SpotVersion(&version);//version get
	printf("%d\n", version);
	if ( version != 3 ) {
		printf ( "A version is different.\n" );
		SpotClose(0);//file close
		return -1;
	}

	SpotCount(&month_no, &color_no);//count get
	printf("month no=%d color no=%d\n", month_no, color_no);

	SpotLimit(&st_year, &st_month, &en_year, &en_month);//limit get
	printf("limit=%d/%d-%d/%d\n", st_year, st_month, en_year, en_month);



	SpotColorGet(&dev_flag, color_data);//color data get
	printf("%x\n", color_data[1].col1_back_rgb);
	printf("%s\n", &color_data[1].text[0]);

//	strcpy(&color_data[1].text[0], "ABCD");
//	SpotColorSet(dev_flag, color_no, color_data);//color data set
//	strcpy(&color_data[1].text[0], "");
//	SpotColorGet(&dev_flag, color_data);//color data get
//	printf("%x\n", color_data[1].col1_back_rgb);
//	printf("%s\n", &color_data[1].text[0]);



	SpotDataGet(2004, 7, hol_data);//holiday data get
	if ( (hol_data[0] & 0x00000004) == 0x00000004 ){
		printf("2004/7/3 color no = 1\n");
	} else {
		printf("2004/7/3 color no != 1\n");
	}
	if ( (hol_data[0] & 0x00000008) == 0x00000008 ){
		printf("2004/7/4 color no = 1\n");
	} else {
		printf("2004/7/4 color no != 1\n");
	}

//	SpotDataSet(2004, 10, hol_data);//holiday data set
//	printf("%x %x\n", hol_data[0], hol_data[1]);
//	SpotDataGet(2004, 10, hol_data);//holiday data get
//	printf("%x %x\n", hol_data[0], hol_data[1]);

//	SpotDataDelete(2004, 10);//holiday data delete
//	printf("%x %x\n", hol_data[0], hol_data[1]);
//	SpotDataGet(2004, 10, hol_data);//holiday data get
//	printf("%x %x\n", hol_data[0], hol_data[1]);



	SpotClose(1);//file close

	return 0;
}
